From fb1f5dddba4a28365e041e5b8739e5920e3a82a3 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Fri, 24 Mar 2017 10:30:50 +0100
Subject: [PATCH] Consistent spelling of procedural languages

Fix spelling of procedural language names to match the most common
names in the repository: PL/pgSQL, PL/Perl, PL/Python and PL/Tcl.
---
 contrib/postgres_fdw/expected/postgres_fdw.out | 2 +-
 contrib/postgres_fdw/sql/postgres_fdw.sql      | 2 +-
 doc/src/sgml/install-windows.sgml              | 2 +-
 doc/src/sgml/parallel.sgml                     | 4 ++--
 doc/src/sgml/plpgsql.sgml                      | 2 +-
 doc/src/sgml/release-7.4.sgml                  | 4 ++--
 doc/src/sgml/release-8.0.sgml                  | 8 ++++----
 doc/src/sgml/release-8.1.sgml                  | 8 ++++----
 doc/src/sgml/release-8.2.sgml                  | 4 ++--
 doc/src/sgml/release-8.3.sgml                  | 4 ++--
 doc/src/sgml/release-8.4.sgml                  | 6 +++---
 doc/src/sgml/release-9.4.sgml                  | 2 +-
 doc/src/sgml/release-old.sgml                  | 6 +++---
 doc/src/sgml/xfunc.sgml                        | 2 +-
 src/backend/access/transam/README.parallel     | 2 +-
 src/backend/executor/spi.c                     | 4 ++--
 src/backend/parser/gram.y                      | 6 +++---
 src/bin/initdb/initdb.c                        | 2 +-
 src/include/parser/scanner.h                   | 2 +-
 src/pl/plpgsql/src/Makefile                    | 2 +-
 src/pl/plpgsql/src/pl_gram.y                   | 4 ++--
 src/pl/tcl/Makefile                            | 2 +-
 src/pl/tcl/pltcl.c                             | 2 +-
 23 files changed, 41 insertions(+), 41 deletions(-)

diff --git a/contrib/postgres_fdw/expected/postgres_fdw.out b/contrib/postgres_fdw/expected/postgres_fdw.out
index 059c5c3..41153f8 100644
--- a/contrib/postgres_fdw/expected/postgres_fdw.out
+++ b/contrib/postgres_fdw/expected/postgres_fdw.out
@@ -3874,7 +3874,7 @@ SELECT oid, * FROM ft_pg_type WHERE typname = 'int4';
 (1 row)
 
 -- ===================================================================
--- used in pl/pgsql function
+-- used in PL/pgSQL function
 -- ===================================================================
 CREATE OR REPLACE FUNCTION f_test(p_c1 int) RETURNS int AS $$
 DECLARE
diff --git a/contrib/postgres_fdw/sql/postgres_fdw.sql b/contrib/postgres_fdw/sql/postgres_fdw.sql
index 8f3edc1..41c61f0 100644
--- a/contrib/postgres_fdw/sql/postgres_fdw.sql
+++ b/contrib/postgres_fdw/sql/postgres_fdw.sql
@@ -952,7 +952,7 @@ SELECT oid, * FROM ft_pg_type WHERE typname = 'int4';
 SELECT oid, * FROM ft_pg_type WHERE typname = 'int4';
 
 -- ===================================================================
--- used in pl/pgsql function
+-- used in PL/pgSQL function
 -- ===================================================================
 CREATE OR REPLACE FUNCTION f_test(p_c1 int) RETURNS int AS $$
 DECLARE
diff --git a/doc/src/sgml/install-windows.sgml b/doc/src/sgml/install-windows.sgml
index ecec0a6..7a9cf7f 100644
--- a/doc/src/sgml/install-windows.sgml
+++ b/doc/src/sgml/install-windows.sgml
@@ -205,7 +205,7 @@ $ENV{MSBFLAGS}="/m";
     <varlistentry>
      <term><productname>ActiveState TCL</productname></term>
      <listitem><para>
-      Required for building <application>PL/TCL</application> (Note: version
+      Required for building <application>PL/Tcl</application> (Note: version
       8.4 is required, the free Standard Distribution is sufficient).
      </para></listitem>
     </varlistentry>
diff --git a/doc/src/sgml/parallel.sgml b/doc/src/sgml/parallel.sgml
index 2ea5c34..a651290 100644
--- a/doc/src/sgml/parallel.sgml
+++ b/doc/src/sgml/parallel.sgml
@@ -149,7 +149,7 @@ EXPLAIN SELECT * FROM pgbench_accounts WHERE filler LIKE '%x%';
         which the system thinks that partial or incremental execution might
         occur, no parallel plan is generated. For example, a cursor created
         using <link linkend="sql-declare">DECLARE CURSOR</link> will never use
-        a parallel plan. Similarly, a PL/pgsql loop of the form
+        a parallel plan. Similarly, a PL/pgSQL loop of the form
         <literal>FOR x IN query LOOP .. END LOOP</literal> will never use a
         parallel plan, because the parallel query system is unable to verify
         that the code in the loop is safe to execute while parallel query is
@@ -478,7 +478,7 @@ EXPLAIN SELECT * FROM pgbench_accounts WHERE filler LIKE '%x%';
   <para>
     Functions and aggregates must be marked <literal>PARALLEL UNSAFE</> if
     they write to the database, access sequences, change the transaction state
-    even temporarily (e.g. a PL/pgsql function which establishes an
+    even temporarily (e.g. a PL/pgSQL function which establishes an
     <literal>EXCEPTION</> block to catch errors), or make persistent changes to
     settings.  Similarly, functions must be marked <literal>PARALLEL
     RESTRICTED</> if they access temporary tables, client connection state,
diff --git a/doc/src/sgml/plpgsql.sgml b/doc/src/sgml/plpgsql.sgml
index d356deb..a6088e9 100644
--- a/doc/src/sgml/plpgsql.sgml
+++ b/doc/src/sgml/plpgsql.sgml
@@ -4851,7 +4851,7 @@ a_output := a_output || $$ if v_$$ || referrer_keys.kind || $$ like '$$
 
    <para>
     To aid the user in finding instances of simple but common problems before
-    they cause harm, <application>PL/PgSQL</> provides additional
+    they cause harm, <application>PL/pgSQL</> provides additional
     <replaceable>checks</>. When enabled, depending on the configuration, they
     can be used to emit either a <literal>WARNING</> or an <literal>ERROR</>
     during the compilation of a function. A function which has received
diff --git a/doc/src/sgml/release-7.4.sgml b/doc/src/sgml/release-7.4.sgml
index 649c82b..b4a217a 100644
--- a/doc/src/sgml/release-7.4.sgml
+++ b/doc/src/sgml/release-7.4.sgml
@@ -242,14 +242,14 @@
 
     <listitem>
      <para>
-      Update pl/perl's <filename>ppport.h</> for modern Perl versions
+      Update PL/Perl's <filename>ppport.h</> for modern Perl versions
       (Andrew)
      </para>
     </listitem>
 
     <listitem>
      <para>
-      Fix assorted memory leaks in pl/python (Andreas Freund, Tom)
+      Fix assorted memory leaks in PL/Python (Andreas Freund, Tom)
      </para>
     </listitem>
 
diff --git a/doc/src/sgml/release-8.0.sgml b/doc/src/sgml/release-8.0.sgml
index becd509..6224187 100644
--- a/doc/src/sgml/release-8.0.sgml
+++ b/doc/src/sgml/release-8.0.sgml
@@ -312,14 +312,14 @@
 
     <listitem>
      <para>
-      Update pl/perl's <filename>ppport.h</> for modern Perl versions
+      Update PL/Perl's <filename>ppport.h</> for modern Perl versions
       (Andrew)
      </para>
     </listitem>
 
     <listitem>
      <para>
-      Fix assorted memory leaks in pl/python (Andreas Freund, Tom)
+      Fix assorted memory leaks in PL/Python (Andreas Freund, Tom)
      </para>
     </listitem>
 
@@ -2439,9 +2439,9 @@ when the  data directory is not specified (Magnus)</para></listitem>
 (Neil)</para></listitem>
 
 <listitem><para>Recover properly if error occurs during argument passing
-in <application>PL/python</> (Neil)</para></listitem>
+in <application>PL/Python</> (Neil)</para></listitem>
 
-<listitem><para>Fix <application>PL/perl</>'s handling of locales on
+<listitem><para>Fix <application>PL/Perl</>'s handling of locales on
 Win32 to match the backend (Andrew)</para></listitem>
 
 <listitem><para>Fix crash when <literal>log_min_messages</> is set to
diff --git a/doc/src/sgml/release-8.1.sgml b/doc/src/sgml/release-8.1.sgml
index 05b07ad..49a4fe2 100644
--- a/doc/src/sgml/release-8.1.sgml
+++ b/doc/src/sgml/release-8.1.sgml
@@ -539,14 +539,14 @@
 
     <listitem>
      <para>
-      Update pl/perl's <filename>ppport.h</> for modern Perl versions
+      Update PL/Perl's <filename>ppport.h</> for modern Perl versions
       (Andrew)
      </para>
     </listitem>
 
     <listitem>
      <para>
-      Fix assorted memory leaks in pl/python (Andreas Freund, Tom)
+      Fix assorted memory leaks in PL/Python (Andreas Freund, Tom)
      </para>
     </listitem>
 
@@ -3089,12 +3089,12 @@ when the  data directory is not specified (Magnus)</para></listitem>
 together in function result type declarations</para></listitem>
 
 <listitem><para>Recover properly if error occurs during argument passing
-in <application>PL/python</> (Neil)</para></listitem>
+in <application>PL/Python</> (Neil)</para></listitem>
 
 <listitem><para>Fix memory leak in <function>plperl_return_next</>
 (Neil)</para></listitem>
 
-<listitem><para>Fix <application>PL/perl</>'s handling of locales on
+<listitem><para>Fix <application>PL/Perl</>'s handling of locales on
 Win32 to match the backend (Andrew)</para></listitem>
 
 <listitem><para>Various optimizer fixes (Tom)</para></listitem>
diff --git a/doc/src/sgml/release-8.2.sgml b/doc/src/sgml/release-8.2.sgml
index 2d21728..acb7b81 100644
--- a/doc/src/sgml/release-8.2.sgml
+++ b/doc/src/sgml/release-8.2.sgml
@@ -1442,14 +1442,14 @@
 
     <listitem>
      <para>
-      Update pl/perl's <filename>ppport.h</> for modern Perl versions
+      Update PL/Perl's <filename>ppport.h</> for modern Perl versions
       (Andrew)
      </para>
     </listitem>
 
     <listitem>
      <para>
-      Fix assorted memory leaks in pl/python (Andreas Freund, Tom)
+      Fix assorted memory leaks in PL/Python (Andreas Freund, Tom)
      </para>
     </listitem>
 
diff --git a/doc/src/sgml/release-8.3.sgml b/doc/src/sgml/release-8.3.sgml
index b1b5d48..76ab36e 100644
--- a/doc/src/sgml/release-8.3.sgml
+++ b/doc/src/sgml/release-8.3.sgml
@@ -3022,14 +3022,14 @@
 
     <listitem>
      <para>
-      Update pl/perl's <filename>ppport.h</> for modern Perl versions
+      Update PL/Perl's <filename>ppport.h</> for modern Perl versions
       (Andrew)
      </para>
     </listitem>
 
     <listitem>
      <para>
-      Fix assorted memory leaks in pl/python (Andreas Freund, Tom)
+      Fix assorted memory leaks in PL/Python (Andreas Freund, Tom)
      </para>
     </listitem>
 
diff --git a/doc/src/sgml/release-8.4.sgml b/doc/src/sgml/release-8.4.sgml
index f43b095..dfe4787 100644
--- a/doc/src/sgml/release-8.4.sgml
+++ b/doc/src/sgml/release-8.4.sgml
@@ -5260,21 +5260,21 @@
 
     <listitem>
      <para>
-      Fix pl/pgsql's <literal>CASE</> statement to not fail when the
+      Fix PL/pgSQL's <literal>CASE</> statement to not fail when the
       case expression is a query that returns no rows (Tom)
      </para>
     </listitem>
 
     <listitem>
      <para>
-      Update pl/perl's <filename>ppport.h</> for modern Perl versions
+      Update PL/Perl's <filename>ppport.h</> for modern Perl versions
       (Andrew)
      </para>
     </listitem>
 
     <listitem>
      <para>
-      Fix assorted memory leaks in pl/python (Andreas Freund, Tom)
+      Fix assorted memory leaks in PL/Python (Andreas Freund, Tom)
      </para>
     </listitem>
 
diff --git a/doc/src/sgml/release-9.4.sgml b/doc/src/sgml/release-9.4.sgml
index 3d5e4cf..5f0280a 100644
--- a/doc/src/sgml/release-9.4.sgml
+++ b/doc/src/sgml/release-9.4.sgml
@@ -8828,7 +8828,7 @@ Branch: REL9_4_STABLE [c2b06ab17] 2015-01-30 22:45:58 -0500
 
       <listitem>
        <para>
-        Add ability to retrieve the current PL/PgSQL call stack
+        Add ability to retrieve the current PL/pgSQL call stack
         using <link linkend="plpgsql-call-stack"><command>GET
         DIAGNOSTICS</></link>
         (Pavel Stehule, Stephen Frost)
diff --git a/doc/src/sgml/release-old.sgml b/doc/src/sgml/release-old.sgml
index a862218..037b1e8 100644
--- a/doc/src/sgml/release-old.sgml
+++ b/doc/src/sgml/release-old.sgml
@@ -3145,7 +3145,7 @@ Fix rare cursor crash when using hash join (Tom)
 Fix for DROP TABLE/INDEX in rolled-back transaction (Hiroshi)
 Fix psql crash from \l+ if MULTIBYTE enabled (Peter E)
 Fix truncation of rule names during CREATE VIEW (Ross Reedstrom)
-Fix PL/perl (Alex Kapranoff)
+Fix PL/Perl (Alex Kapranoff)
 Disallow LOCK on views (Mark Hollomon)
 Disallow INSERT/UPDATE/DELETE on views (Mark Hollomon)
 Disallow DROP RULE, CREATE INDEX, TRUNCATE on views (Mark Hollomon)
@@ -3171,7 +3171,7 @@ Fix OVERLAPS operators conform to SQL92 spec regarding NULLs (Tom)
 Fix lpad() and rpad() to handle length less than input string (Tom)
 Fix use of NOTIFY in some rules (Tom)
 Overhaul btree code (Tom)
-Fix NOT NULL use in Pl/pgSQL variables (Tom)
+Fix NOT NULL use in PL/pgSQL variables (Tom)
 Overhaul GIST code (Oleg)
 Fix CLUSTER to preserve constraints and column default (Tom)
 Improved deadlock detection handling (Tom)
@@ -4341,7 +4341,7 @@ Fix for lo_import crash(Tatsuo)
 Adjust handling of data type names to suppress double quotes(Thomas)
 Use type coercion for matching columns and DEFAULT(Thomas)
 Fix deadlock so it only checks once after one second of sleep(Bruce)
-Fixes for aggregates and PL/pgsql(Hiroshi)
+Fixes for aggregates and PL/pgSQL(Hiroshi)
 Fix for subquery crash(Vadim)
 Fix for libpq function PQfnumber and case-insensitive names(Bahman Rafatjoo)
 Fix for large object write-in-middle, no extra block, memory consumption(Tatsuo)
diff --git a/doc/src/sgml/xfunc.sgml b/doc/src/sgml/xfunc.sgml
index 94a7ad7..d4c3974 100644
--- a/doc/src/sgml/xfunc.sgml
+++ b/doc/src/sgml/xfunc.sgml
@@ -153,7 +153,7 @@ SELECT clean_emp();
       <literal>CREATE TABLE foo (...); INSERT INTO foo VALUES(...);</literal>
       will not work as desired if packaged up into a single SQL function,
       since <structname>foo</> won't exist yet when the <command>INSERT</>
-      command is parsed.  It's recommended to use <application>PL/PgSQL</>
+      command is parsed.  It's recommended to use <application>PL/pgSQL</>
       instead of a SQL function in this type of situation.
      </para>
    </note>
diff --git a/src/backend/access/transam/README.parallel b/src/backend/access/transam/README.parallel
index db9ac3d..4d98f4e 100644
--- a/src/backend/access/transam/README.parallel
+++ b/src/backend/access/transam/README.parallel
@@ -154,7 +154,7 @@ parallelism was started before all parallel workers have exited; and it's even
 more clearly crazy for a parallel worker to try to subcommit or subabort the
 current subtransaction and execute in some other transaction context than was
 present in the initiating backend.  It might be practical to allow internal
-sub-transactions (e.g. to implement a PL/pgsql EXCEPTION block) to be used in
+sub-transactions (e.g. to implement a PL/pgSQL EXCEPTION block) to be used in
 parallel mode, provided that they are XID-less, because other backends
 wouldn't really need to know about those transactions or do anything
 differently because of them.  Right now, we don't even allow that.
diff --git a/src/backend/executor/spi.c b/src/backend/executor/spi.c
index 72c7b4d..09f6702 100644
--- a/src/backend/executor/spi.c
+++ b/src/backend/executor/spi.c
@@ -1570,7 +1570,7 @@ SPI_result_code_string(int code)
  * SPI_plan_get_plan_sources --- get a SPI plan's underlying list of
  * CachedPlanSources.
  *
- * This is exported so that pl/pgsql can use it (this beats letting pl/pgsql
+ * This is exported so that PL/pgSQL can use it (this beats letting PL/pgSQL
  * look directly into the SPIPlan for itself).  It's not documented in
  * spi.sgml because we'd just as soon not have too many places using this.
  */
@@ -1586,7 +1586,7 @@ SPI_plan_get_plan_sources(SPIPlanPtr plan)
  * if the SPI plan contains exactly one CachedPlanSource.  If not,
  * return NULL.  Caller is responsible for doing ReleaseCachedPlan().
  *
- * This is exported so that pl/pgsql can use it (this beats letting pl/pgsql
+ * This is exported so that PL/pgSQL can use it (this beats letting PL/pgSQL
  * look directly into the SPIPlan for itself).  It's not documented in
  * spi.sgml because we'd just as soon not have too many places using this.
  */
diff --git a/src/backend/parser/gram.y b/src/backend/parser/gram.y
index 82844a0..342a43d 100644
--- a/src/backend/parser/gram.y
+++ b/src/backend/parser/gram.y
@@ -584,11 +584,11 @@ static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);
 /*
  * Non-keyword token types.  These are hard-wired into the "flex" lexer.
  * They must be listed first so that their numeric codes do not depend on
- * the set of keywords.  PL/pgsql depends on this so that it can share the
- * same lexer.  If you add/change tokens here, fix PL/pgsql to match!
+ * the set of keywords.  PL/pgSQL depends on this so that it can share the
+ * same lexer.  If you add/change tokens here, fix PL/pgSQL to match!
  *
  * DOT_DOT is unused in the core SQL grammar, and so will always provoke
- * parse errors.  It is needed by PL/pgsql.
+ * parse errors.  It is needed by PL/pgSQL.
  */
 %token <str>	IDENT FCONST SCONST BCONST XCONST Op
 %token <ival>	ICONST PARAM
diff --git a/src/bin/initdb/initdb.c b/src/bin/initdb/initdb.c
index 8dde1e8..d40ed41 100644
--- a/src/bin/initdb/initdb.c
+++ b/src/bin/initdb/initdb.c
@@ -1898,7 +1898,7 @@ setup_schema(FILE *cmdfd)
 }
 
 /*
- * load PL/pgsql server-side language
+ * load PL/pgSQL server-side language
  */
 static void
 load_plpgsql(FILE *cmdfd)
diff --git a/src/include/parser/scanner.h b/src/include/parser/scanner.h
index 7ca924c..74f1cc8 100644
--- a/src/include/parser/scanner.h
+++ b/src/include/parser/scanner.h
@@ -3,7 +3,7 @@
  * scanner.h
  *		API for the core scanner (flex machine)
  *
- * The core scanner is also used by PL/pgsql, so we provide a public API
+ * The core scanner is also used by PL/pgSQL, so we provide a public API
  * for it.  However, the rest of the backend is only expected to use the
  * higher-level API provided by parser.h.
  *
diff --git a/src/pl/plpgsql/src/Makefile b/src/pl/plpgsql/src/Makefile
index e073b2a..9534817 100644
--- a/src/pl/plpgsql/src/Makefile
+++ b/src/pl/plpgsql/src/Makefile
@@ -1,6 +1,6 @@
 #-------------------------------------------------------------------------
 #
-# Makefile for the pl/pgsql procedural language
+# Makefile for the PL/pgSQL procedural language
 #
 # src/pl/plpgsql/src/Makefile
 #
diff --git a/src/pl/plpgsql/src/pl_gram.y b/src/pl/plpgsql/src/pl_gram.y
index 29729df..94f1f58 100644
--- a/src/pl/plpgsql/src/pl_gram.y
+++ b/src/pl/plpgsql/src/pl_gram.y
@@ -2862,11 +2862,11 @@ make_execsql_stmt(int firsttoken, int location)
 	 * clause lurking within it, and parse that via read_into_target().
 	 *
 	 * Because INTO is sometimes used in the main SQL grammar, we have to be
-	 * careful not to take any such usage of INTO as a pl/pgsql INTO clause.
+	 * careful not to take any such usage of INTO as a PL/pgSQL INTO clause.
 	 * There are currently three such cases:
 	 *
 	 * 1. SELECT ... INTO.  We don't care, we just override that with the
-	 * pl/pgsql definition.
+	 * PL/pgSQL definition.
 	 *
 	 * 2. INSERT INTO.  This is relatively easy to recognize since the words
 	 * must appear adjacently; but we can't assume INSERT starts the command,
diff --git a/src/pl/tcl/Makefile b/src/pl/tcl/Makefile
index 0275c125..b8971d3 100644
--- a/src/pl/tcl/Makefile
+++ b/src/pl/tcl/Makefile
@@ -1,6 +1,6 @@
 #-------------------------------------------------------------------------
 #
-# Makefile for the pl/tcl procedural language
+# Makefile for the PL/Tcl procedural language
 #
 # src/pl/tcl/Makefile
 #
diff --git a/src/pl/tcl/pltcl.c b/src/pl/tcl/pltcl.c
index b8fcf06..702b1a8 100644
--- a/src/pl/tcl/pltcl.c
+++ b/src/pl/tcl/pltcl.c
@@ -2530,7 +2530,7 @@ pltcl_SPI_prepare(ClientData cdata, Tcl_Interp *interp,
 	 * occur.  FIXME someday.
 	 ************************************************************/
 	plan_cxt = AllocSetContextCreate(TopMemoryContext,
-									 "PL/TCL spi_prepare query",
+									 "PL/Tcl spi_prepare query",
 									 ALLOCSET_SMALL_SIZES);
 	MemoryContextSwitchTo(plan_cxt);
 	qdesc = (pltcl_query_desc *) palloc0(sizeof(pltcl_query_desc));
-- 
2.6.4 (Apple Git-63)

